Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.ptree
Class PTreeURIResolver

    java.lang.Object
      net.sf.saxon.lib.StandardURIResolver
          com.saxonica.ptree.PTreeURIResolver

All Implemented Interfaces:
  Serializable, URIResolver, NonDelegatingURIResolver

    public class PTreeURIResolver

extends StandardURIResolver

This class provides the service of converting a URI into an InputSource. This implementation recognizes the Saxon-EE-specific .ptree extension as identifying a source file in PTree format.

Author:
  Michael H. Kay
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.lib.StandardURIResolver
`recognizeQueryParameters`

Constructor Summary
`PTreeURIResolver()` Create a PTreeURIResolver, with no reference to a Configuration
`PTreeURIResolver(Configuration config)` Create a PTreeURIResolver, with a reference to a Configuration

Method Summary
`protected Source` | `getPTreeSource(String href, String base)` Handle a PTree source file (Saxon-EE only)

Methods inherited from class net.sf.saxon.lib.StandardURIResolver
`getConfiguration, getPlatform, queryParametersAreRecognized, resolve, setConfiguration, setRecognizeQueryParameters, setSAXInputSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PTreeURIResolver

    public PTreeURIResolver()

  Create a PTreeURIResolver, with no reference to a Configuration

### PTreeURIResolver

    public PTreeURIResolver(Configuration config)

  Create a PTreeURIResolver, with a reference to a Configuration

  Parameters:
    `config` - The Configuration object. This is used to get a SAX Parser for a source XML document

Method Detail

### getPTreeSource

    protected Source getPTreeSource(String href,
                                    String base)
                             throws XPathException

  Handle a PTree source file (Saxon-EE only)

  Overrides:
    `getPTreeSource` in class `StandardURIResolver`
  Parameters:
    `href` - the relative URI
    `base` - the base URI
  Returns:
    the new Source object
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.